#pragma once

#include "GRAPHICS.h"
#include "OS.h"

#define DBUFFER_MAX_LENGTH 512000	//Delka bufferu

class dbuffer
{

public:
        unsigned char A[DBUFFER_MAX_LENGTH];	//Zasobnik s daty
	int top;								//Vrchol zasobniku
	ANSWER Lock;							//Zamek zasobniku
	ANSWER DataRdy;							//Data pripravena
	dbuffer(void);							//Konstruktor
	~dbuffer(void);							//Destruktor
    TIME_STAMP stamp;						//Casova znamka posledniho vlozeni dat do zasobniku
	int GetData(unsigned char * out);		//Vycteni dat
    void Clear(void);                       //Vycisteni zasobniku
	int GetCount(void)						//Vraci pocet bajtu v zasobniku
	{
		return top;
	}
	ANSWER AddData(char in);				//Vlozi data do zasobniku
};


